Subject: Re: Micrel Phy - Is there a way to configure the Phy not to do 802.3x flow control?

From: Murali Karicheri <[email-masked]>
Date: Thu, 10 Mar 2016 10:07:55 -0500

Andrew,

Thanks for your response!

On 03/03/2016 05:26 PM, Andrew Lunn wrote:
> On Thu, Mar 03, 2016 at 05:18:38PM -0500, Murali Karicheri wrote:
>> Hi,
>>
>> We are using Micrel Phy in one of our board and wondering if we can force the
>> Phy to disable flow control at start. I have a 1G ethernet switch connected
>> to Phy and the phy always enable flow control. I would like to configure the
>> phy not to flow control. Is that possible and if yes, what should I do in the
>> my Ethernet driver to tell the Phy not to enable flow control?
> 
> Hi Murali
> 
> Have you played with:
> 
>        ethtool -a|--show-pause devname
> 
>        ethtool -A|--pause devname [autoneg on|off] [rx on|off] [tx on|off]
> 
> Andrew
> 
I will try, but my question is for disabling flow control by default in the
phy when Ethernet driver is initialized. How does the driver tells the phy
to disable tx/rx flow control. Even if phy advertise flow control capability
the Ethernet h/w MAC layer should be capable of doing a Pause. So the driver
needs to have a way to disable tx/rx FC when it starts. How this can be 
achieved? We would like to disable this by default. User will be able to
enable it through ethtool command if it desire to have FC for a specific
use case. Isn't reasonable?  

-- 
Murali Karicheri
Linux Kernel, Keystone